# pituicat

This repository contains the source and game design files for the game
`pituicat`.

This game is still an experimental work in progress, so things are subject to
change and no version or revision numbers are being assigned (yet).

## Build and run instructions

For any system you want to buil on, you will need a current version of `ghc`
as well as the build tool `cabal`. Additional libraries may be needed,
depending on your operating system.

### Linux

I develop this game in [NixOS](https://nixos.org), so the build instructions
for this system are the ones I use on a daily basis.

#### NixOS

To set up the build environment, simply run this in the command line of your
choice in the project's root directory:

```bash
nix-shell shell.nix
```

After the setup and build process is finished and you are given the prompt of
the environmet you just built, you can run

```bash
cabal new-run
```

to compile and run the game.

#### Other Linux flavours

You will need at least the development libraries for `sdl2` and a development
setup for `OpenGL`.

TODO: provide list of development libraries this game directly depends on.

After setting up the system with all development dependencies, simply run

```bash
cabal new-run
```

for compiling and running the game.

### Other operating systems

I wish you good luck with that. If you manage to run the game on other systms,
ping me with build and run instructions on <nek0@nek0.eu> and I will gladly
include them here.

## Gameplay

To move around, use the `D` and `A` Keys respectively.

Press `Space` to jump.
