module Classes.Graphics.Bindable where

-- | typeclass for bindable objects like buffers, vertex arrays or shaders
class Bindable a where

  -- bind the object in context
  bind :: a -> IO ()
  
  -- release object from context
  unbind :: a -> IO ()
